Welcome back

Log in to your Microburbs account

Forgot password?
or continue with

By continuing, you agree to our Terms of Service and Privacy Policy.

Unlock the power of property data

  • Access 5000+ property and suburb metrics
  • Detailed suburb and property reports
  • Risk and gentrification analysis
  • Interactive heat maps across Australia

"Microburbs helped me find the perfect investment suburb with data I couldn't find anywhere else."

Sarah M. Property Investor

Welcome to Microburbs!

Help us personalise your experience

Opening secure checkout

Please wait while we connect to our payment provider. Do not refresh or close this page.

Get API Access

Request access to integrate Microburbs data into your applications

Request Access
V1.0.2
GET Market Insights
http://127.0.0.1:2026/api/suburb/market
Retrieves historical and current market data for properties in a specified suburb, with comparisons to larger geographical areas. Data is provided as a time series with monthly observations.
Important: The suburb parameter must use the official naming convention.
You can retrieve the official name for a suburb from the List Suburbs API Endpoint.
Click to see documentation

Parameters

Name Type Required Description
suburb text Required The name of the suburb
metric text Optional Type of market data (price, rent, vacancy, volume, yield, growth, growth_forecast, sold_count, stock_on_market, time_on_market). Default is 'price'. For 'growth' metric, you can specify the period with growth_period parameter.
property_type text Optional Type of property (house, unit, all). Default is 'house'
growth_period text Optional Period for growth calculation when metric=growth (1y, 3y, 5y, 10y). Default is '1y'

Response Schema

Field Type Description
results array Array containing nested time series data
results[][].area_level string Geographical level (e.g., 'suburb')
results[][].area_name string Name of the suburb
results[][].date string Date of the observation
results[][].metric string Type of market data (e.g., 'sell_price')
results[][].property_type string Type of property (e.g., 'house', 'unit')
results[][].value number Value of the metric for the suburb at the given date
results[][].sa3 object Comparative data for Statistical Area Level 3
results[][].sa3.area_level string Geographical level ('sa3')
results[][].sa3.area_name string Name of the SA3 region
results[][].sa3.value number Value of the metric for the SA3 region
results[][].cr object Comparative data for City Region
results[][].cr.area_level string Geographical level ('cr')
results[][].cr.area_name string Name of the City Region
results[][].cr.value number Value of the metric for the City Region

Request Examples

cURL
Python
JavaScript
curl -X GET "http://127.0.0.1:2026/api/suburb/market?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ [ { "area_level": "suburb", "area_name": "Belmont North", "cr": { "area_level": "cr", "area_name": "Newcastle and Lake Macquarie", "value": 255000 }, "date": "Fri, 31 Jan 2003 00:00:00 GMT", "metric": "sell_price", "property_type": "house", "sa3": { "area_level": "sa3", "area_name": "Lake Macquarie - East", "value": 269000 }, "value": 255000 }, { "area_level": "suburb", "area_name": "Belmont North", "cr": { "area_level": "cr", "area_name": "Newcastle and Lake Macquarie", "value": 255000 }, "date": "Fri, 28 Feb 2003 00:00:00 GMT", "metric": "sell_price", "property_type": "house", "sa3": { "area_level": "sa3", "area_name": "Lake Macquarie - East", "value": 261000 }, "value": 253000 } ] ] }
Try it in Sandbox